cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sergey Beryozkin (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CXF-2564) CXF uses an old RS API 1.0 - Consider upgrading to 1.1 on branches as well
Date Mon, 30 Nov 2009 15:17:20 GMT

    [ https://issues.apache.org/jira/browse/CXF-2564?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12783688#action_12783688
] 

Sergey Beryozkin commented on CXF-2564:
---------------------------------------

CXF 2.3-SNAPSHOT depends on 1.1, but CXF 2.2.x depends on 1.0.

1.1 has very few minor changes at the api level itself, it is really a JAX-RS EE spec, as
it says that EJB and friends have to be supported when JAXRS 1.1 implementations are used
in EE containers.

Updating cxfcamel to depend on 1.1 may have sideeffects on a ServiceMix cxfrs demo given that
cxfrs feature will install a jaxrs 1.0 spec bundle.

> Which does not work well with the rest of the world where 1.1 API is commonly used. 

Do you see any sideeffects with cxfcamel depending on 1.0 ?

cheers, Sergey

> CXF uses an old RS API 1.0 - Consider upgrading to 1.1 on branches as well
> --------------------------------------------------------------------------
>
>                 Key: CXF-2564
>                 URL: https://issues.apache.org/jira/browse/CXF-2564
>             Project: CXF
>          Issue Type: Improvement
>    Affects Versions: 2.2.5
>            Reporter: Claus Ibsen
>
> Looks like trunk is on API 1.1 which is good
> But 2.2.5 is using old 1.0 API
> http://svn.apache.org/repos/asf/cxf/tags/cxf-2.2.5/rt/frontend/jaxrs/pom.xml
> Which does not work well with the rest of the world where 1.1 API is commonly used.
> Consider if possible to upgrade to 1.1 on these branches, or at least on 2.2.x branch

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message